------------------------------------------------------------------------------------
--Name:  	xiaolong5
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-07
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(228, 266)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(180)
local Player_3 = CppScriptMgr:AddSimplePlayer(17591, 230, 260, "", 0, 0)
Player_3:SetDir(3)
Player_3:SetZoomPercent(120)
local effect_1 = CppScriptMgr:AddEffect("map_lxljx1", 234, 256, 33, 1, 1, 1)
local Player_4 = CppScriptMgr:AddSimplePlayer(1056031, 222, 260, "", 0, 0)
Player_4:SetDir(7)
CppScriptMgr:WaitMilSec(500)
local Effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 234, 273, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_6 = CppScriptMgr:AddSimplePlayer(1055975, 224, 277, "1", 0, 0)
local Player_7 = CppScriptMgr:AddSimplePlayer(1056025, 240, 265, "2", 0, 0)
local Player_8 = CppScriptMgr:AddSimplePlayer(1056225, 234, 279, "3", 0, 0)
local Player_9 = CppScriptMgr:AddSimplePlayer(1056235, 238, 271, "4", 0, 0)
CppScriptMgr:WaitMilSec(80)
Player_6:SetDir(3)
Player_7:SetDir(3)
Player_8:SetDir(3)
Player_9:SetDir(3)
CppScriptMgr:WaitMilSec(2920)
CppScriptMgr:NpcCallOut("Attention! Join forces to kill Devourer!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSLHX", 150, 430, "DragonImage", 250, 655,true)
Player_3:SetAction(102)
Player_3:Say("Attention! Join forces to kill Devourer!", 1500)
CppScriptMgr:WaitMilSec(2000)
Player_6:Say("Yes!", 1000)
Player_7:Say("Yes!", 1000)
Player_8:Say("Yes!", 1000)
Player_9:Say("Yes!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_6:SetAction(101)
Player_7:SetAction(101)
Player_8:SetAction(101)
Player_9:SetAction(101)
local effect_0 = CppScriptMgr:AddEffect("DragonSkin1_BQ", 242, 277, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(980)
Player_6:AddEffect("jabali_show7", 33)
Player_7:AddEffect("jabali_show4", 33)
Player_8:AddEffect("jabali_show", 33)
Player_9:AddEffect("jabali_show9", 33)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("You are no match for me.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLSHS", 150, 430, "Devourer", 250, 655,true)
Player_4:Say("You are no match for me.", 1500)
CppScriptMgr:WaitMilSec(2000)
Player_4:SetAction(401)
local Effect_2 = CppScriptMgr:AddEffect("CartoonDisplay", 226, 271, 33, 1, 1, 1)
Effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(990)
Player_3:AddEffect("Evendancedis", 33)
Player_3:AddEffect("KillerPattern", 33)
Player_6:SetAction(330)
Player_6:AddEffect("Evendancedis", 33)
Player_6:AddEffect("KillerPattern", 33)
Player_7:SetAction(330)
Player_7:AddEffect("Evendancedis", 33)
Player_7:AddEffect("KillerPattern", 33)
Player_8:SetAction(330)
Player_8:AddEffect("Evendancedis", 33)
Player_8:AddEffect("KillerPattern", 33)
Player_9:SetAction(330)
Player_9:AddEffect("Evendancedis", 33)
Player_9:AddEffect("KillerPattern", 33)
CppScriptMgr:WaitMilSec(2500)